#!/bin/sh
export PATH='/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: vector
version: 0.10.12.3
id: vector-0.10.12.3-27897745aebd646b98c12ed0d61390a9
key: vecto_1COyUuV1LrA1IjYnWfJnbs
license: BSD3
copyright: (c) Roman Leshchinskiy 2008-2012
maintainer: libraries@haskell.org
homepage: https://github.com/haskell/vector
synopsis: Efficient Arrays
description:
    .
    An efficient implementation of Int-indexed arrays (both mutable
    and immutable), with a powerful loop optimisation framework .
    .
    It is structured as follows:
    .
    ["Data.Vector"] Boxed vectors of arbitrary types.
    .
    ["Data.Vector.Unboxed"] Unboxed vectors with an adaptive
    representation based on data type families.
    .
    ["Data.Vector.Storable"] Unboxed vectors of '\''Storable'\'' types.
    .
    ["Data.Vector.Primitive"] Unboxed vectors of primitive types as
    defined by the @primitive@ package. "Data.Vector.Unboxed" is more
    flexible at no performance cost.
    .
    ["Data.Vector.Generic"] Generic interface to the vector types.
    .
    There is also a (draft) tutorial on common uses of vector.
    .
    * <http://haskell.org/haskellwiki/Numeric_Haskell:_A_Vector_Tutorial>
category: Data, Data Structures
author: Roman Leshchinskiy <rl@cse.unsw.edu.au>
exposed: True
exposed-modules:
    Data.Vector.Internal.Check Data.Vector.Fusion.Util
    Data.Vector.Fusion.Stream.Size Data.Vector.Fusion.Stream.Monadic
    Data.Vector.Fusion.Stream Data.Vector.Generic.Mutable
    Data.Vector.Generic.Base Data.Vector.Generic.New
    Data.Vector.Generic Data.Vector.Primitive.Mutable
    Data.Vector.Primitive Data.Vector.Storable.Internal
    Data.Vector.Storable.Mutable Data.Vector.Storable
    Data.Vector.Unboxed.Base Data.Vector.Unboxed.Mutable
    Data.Vector.Unboxed Data.Vector.Mutable Data.Vector
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/vector-0.10.12.3
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/vector-0.10.12.3
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/vector-0.10.12.3
hs-libraries: HSvector-0.10.12.3-1COyUuV1LrA1IjYnWfJnbs
include-dirs: /usr/local/include
              /usr/local/lib/cabal/ghc-7.10.2/vector-0.10.12.3/include
depends:
    base-4.8.1.0-9cc67f4e5e6328730727313d0bc5e35f
    deepseq-1.4.1.1-264f30222df8f26ad705894f660a17b6
    ghc-prim-0.4.0.0-2dabcc93617d9a564f2855dd307d7dfb
    primitive-0.6-e1ece5419e53d3a22add9935372102d4
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/vector-0.10.12.3/html/vector.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/vector-0.10.12.3/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
